DEVM_MDIOBUS_ALLOC_S(9)

NAME
devm_mdiobus_alloc_size - Resource-managed mdiobus_alloc_size

SYNOPSIS

struct mii_bus * devm_mdiobus_alloc_size(struct device * dev, int sizeof_priv);

ARGUMENTS

dev
    Device to allocate mii_bus for

sizeof_priv
    Space to allocate for private structure.

DESCRIPTION

Managed mdiobus_alloc_size. mii_bus allocated with this function is automatically freed on driver detach.

If an mii_bus allocated with this function needs to be freed separately, devm_mdiobus_free must be used.

RETURNS

Pointer to allocated mii_bus on success, NULL on failure.

COPYRIGHT